package com.pixelized.headache.ui.navigation.destination

import androidx.navigation3.runtime.EntryProviderScope
import com.pixelized.headache.ui.navigation.home.HomeDestination
import com.pixelized.headache.ui.navigation.home.HomeNavigator
import com.pixelized.headache.ui.page.summary.monthly.MonthSummaryPage

data object MonthSummaryDestination : HomeDestination

fun EntryProviderScope<Any>.monthSummaryDestinationEntry() {
    entry<MonthSummaryDestination> {
        MonthSummaryPage()
    }
}

fun HomeNavigator.navigateToMonthSummary() {
    goTo(MonthSummaryDestination)
}